# $Id: clamav.spec 5183 2007-02-20 03:10:36Z dag $
# Authority: dag
# Upstream: <clamav-devel$lists,sf,net>

### FIXME: Sysv script does not have condrestart option (redo sysv script)
### FIXME: amavisd-new requires clamd to run as user vscan, solution needed
### REMINDER: Look and sync with Petr Kristof's work

%{?el2:%define _without_milter 1}

Summary: Anti-virus software
Name: clamav
Version: 0.99.3
Release: el4.1
License: GPL
Group: Applications/System
URL: http://www.clamav.net/

#Source: http://www.clamav.net/clamav-%{version}.tar.gz
Packager: René Vermare <rene@vermare.net>
Vendor: Dr. Linux, http://www.vermare.net/

Source: http://dl.sf.net/clamav/clamav-%{version}.tar.gz
Source1: clamav.init
Source2: clamav-milter.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bzip2-devel, zlib-devel, gmp-devel, libcurl-devel >= 7.18.2, ncurses-devel, openssl-devel >= 1.0.1, json-c-devel >= 0.11, pcre-devel >= 6.3 
%{!?_without_milter:BuildRequires: sendmail-devel >= 8.14}
Requires: clamav-db = %{version}-%{release}, openssl >= 1.0.1, json-c >= 0.11, pcre >= 6.3, libmspack, curl >= 7.18.2

### Fedora Extras introduced them differently :(
Obsoletes: libclamav < %{version}-%{release}
Obsoletes: clamav-lib < %{version}-%{release}
Provides: libclamav

%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of
this software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon, a
command line scanner, and a tool for automatic updating via Internet.

The programs are based on a shared library distributed with the Clam
AntiVirus package, which you can use with your own software. Most
importantly, the virus database is kept up to date

%package -n clamd
Summary: The Clam AntiVirus Daemon
Group: System Environment/Daemons
Requires: clamav = %{version}-%{release}

### Fedora Extras introduced them differently :(
Obsoletes: clamav-server <= %{version}-%{release}

%description -n clamd
The Clam AntiVirus Daemon

%package milter
Summary: The Clam AntiVirus sendmail-milter Daemon
Group: Applications/System
Requires: clamd = %{version}-%{release}
Requires: sendmail

%description milter
The Clam AntiVirus sendmail-milter Daemon

%package db
Summary: Virus database for %{name}
Group: Applications/Databases
Requires: clamav = %{version}-%{release}

### Fedora Extras introduced them differently :(
Obsoletes: clamav-update <= %{version}-%{release}
Obsoletes: clamav-data <= %{version}-%{release}

%description db
The actual virus database for %{name}

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: clamav = %{version}-%{release}, libmspack-devel

### Fedora Extras introduced them differently :(
Obsoletes: libclamav-static-devel <= %{version}-%{release}
Obsoletes: libclamav-devel <= %{version}-%{release}
Provides: libclamav-static-devel, libclamav-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}

%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g;' libtool configure

%{__perl} -pi.orig -e '
		s|\@DBDIR\@|\$(localstatedir)/clamav|g;
		s|\@DBINST\@|\$(localstatedir)/clamav|g;
		s|\@CFGDIR\@|\$(sysconfdir)|g;
		s|\@CFGINST\@|\$(sysconfdir)|g;
		s|^\@INSTALL_CLAMAV_CONF_TRUE\@|\t|g;
		s|^\@INSTALL_FRESHCLAM_CONF_TRUE\@|\t|g;
	' database/Makefile.in etc/Makefile.in

%{__perl} -pi.orig -e '
		s|^(Example)|#$1|;
		s|^#(LogFile) .+$|$1 %{_localstatedir}/log/clamav/clamd.log|;
		s|^#(LogFileMaxSize) .*|$1 0|;
		s|^#(LogTime)|$1|;
		s|^#(LogSyslog)|$1|;
		s|^#(PidFile) .+$|$1 %{_localstatedir}/run/clamav/clamd.pid|;
		s|^#(TemporaryDirectory) .+$|$1 %{_localstatedir}/tmp|;
		s|^#(DatabaseDirectory) .+$|$1 %{_localstatedir}/clamav|;
		s|^#(LocalSocket) .+$|$1 %{_localstatedir}/run/clamav/clamd.sock|;
		s|^#(FixStaleSocket)|$1|;
		s|^#(TCPSocket) .+$|$1 3310|;
		s|^#(TCPAddr) .+$|$1 127.0.0.1|;
		s|^#(MaxConnectionQueueLength) .+$|$1 30|;
		s|^#(StreamSaveToDisk)|$1|;
		s|^#(MaxThreads) .+$|$1 50|;
		s|^#(ReadTimeout) .+$|$1 300|;
		s|^#(User) .+$|$1 clamav|;
		s|^#(AllowSupplementaryGroups)|$1|;
		s|^#(ScanPE) .+$|$1 yes|;
		s|^#(ScanELF) .+$|$1 yes|;
		s|^#(DetectBrokenExecutables)|$1|;
		s|^#(ScanOLE2) .+$|$1 yes|;
		s|^#(ScanMail)|$1|;
		s|^#(ScanArchive) .+$|$1 yes|;
		s|^#(ArchiveMaxCompressionRatio) .+|$1 300|;
		s|^#(ArchiveBlockEncrypted)|$1|;
		s|^#(ArchiveBlockMax)|$1|;
	' etc/clamd.conf

%{__perl} -pi.orig -e '
		s|^#(DatabaseDirectory) .+$|$1 %{_localstatedir}/clamav|;
		s|^#(UpdateLogFile) .+$|$1 %{_localstatedir}/log/clamav/freshclam.log|;
		s|^#(LogSyslog)|$1|;
		s|^#(DatabaseOwner) .+$|$1 clamav|;
		s|^(Checks) .+$|$1 24|;
		s|^#(NotifyClamd) .+$|$1 %{_sysconfdir}/clamd.conf|;
	' etc/freshclam.conf

%{__cat} <<EOF >clamd.logrotate
%{_localstatedir}/log/clamav/clamd.log {
	missingok
	notifempty
	create 644 clamav clamav
	postrotate
		killall -HUP clamd 2>/dev/null || :
	endscript
}
EOF

%{__cat} <<EOF >freshclam.logrotate
%{_localstatedir}/log/clamav/freshclam.log {
	missingok
	notifempty
	create 644 clamav clamav
}
EOF

%{__cat} <<'EOF' >freshclam.cron
#!/bin/sh

### A simple update script for the clamav virus database.
### This could as well be replaced by a SysV script.

### fix log file if needed
LOG_FILE="%{_localstatedir}/log/clamav/freshclam.log"
if [ ! -f "$LOG_FILE" ]; then
    touch "$LOG_FILE"
    chmod 644 "$LOG_FILE"
    chown clamav.clamav "$LOG_FILE"
fi

%{_bindir}/freshclam \
    --quiet \
    --datadir="%{_localstatedir}/clamav" \
    --log="$LOG_FILE" \
    --log-verbose \
    --daemon-notify="%{_sysconfdir}/clamd.conf"
EOF

%build
%configure  \
	--program-prefix="%{?_program_prefix}" \
%{!?_without_milter:--enable-milter} \
	--enable-id-check \
	--with-libcurl=/usr/lib \
	--enable-dns \
	--disable-clamav \
	--with-user="clamav" \
	--with-group="clamav" \
	--with-dbdir="%{_localstatedir}/clamav" \
	--disable-zlib-vcheck \
        --with-openssl=/usr \
        --with-libjson
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__install} -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/clamd
%{__install} -Dp -m0755 freshclam.cron %{buildroot}%{_sysconfdir}/cron.daily/freshclam
%{__install} -Dp -m0644 freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
%{__install} -Dp -m0644 clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamav

%if %{!?_without_milter:1}0
%{__install} -Dp -m0755 %{SOURCE2} %{buildroot}%{_initrddir}/clamav-milter
%else
%{__rm} %{buildroot}%{_mandir}/man8/clamav-milter.8*
%endif

%{__install} -d -m0755 %{buildroot}%{_localstatedir}/log/clamav/
touch %{buildroot}%{_localstatedir}/log/clamav/freshclam.log
touch %{buildroot}%{_localstatedir}/log/clamav/clamd.log

%{__install} -d -m0755 %{buildroot}%{_localstatedir}/run/clamav/

cp -p %{buildroot}%{_sysconfdir}/clamav-milter.conf.sample %{buildroot}%{_sysconfdir}/clamav-milter.conf
cp -p %{buildroot}%{_sysconfdir}/freshclam.conf.sample %{buildroot}%{_sysconfdir}/freshclam.conf
cp -p %{buildroot}%{_sysconfdir}/clamd.conf.sample %{buildroot}%{_sysconfdir}/clamd.conf

%post
/sbin/ldconfig 2>/dev/null

ZONES="/usr/share/zoneinfo/zone.tab"
CONFIG="/etc/sysconfig/clock"

if [ -r "$CONFIG" -a -r "$ZONES" ]; then
	source "$CONFIG"
	export CODE="$(grep -E "\b$ZONE\b" "$ZONES" | head -1 | cut -f1 | tr [A-Z] [a-z])"
fi

if [ -z "$CODE" ]; then
	export CODE="local"
fi

%{__perl} -pi -e '
		s|^(DatabaseMirror) database\.clamav\.net$|$1 db.$ENV{"CODE"}.clamav.net\n$1 db.local.clamav.net|;
		s|^(DatabaseMirror) db\.\.clamav\.net$|$1 db.$ENV{"CODE"}.clamav.net\n$1 db.local.clamav.net|;
	' %{_sysconfdir}/freshclam.conf{,.rpmnew} &>/dev/null || :

%postun -p /sbin/ldconfig

%pre -n clamd
/usr/sbin/groupadd -r clamav 2>/dev/null || :
/usr/sbin/useradd -r -d /var/clamav -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || :
mkdir -p /var/clamav || :
chown clamav.clamav /var/clamav || :
chmod 755 /var/clamav || :

%post -n clamd
/sbin/chkconfig --add clamd

%preun -n clamd
if [ $1 -eq 0 ]; then
	/sbin/service clamd stop &>/dev/null || :
	/sbin/chkconfig --del clamd
fi

%postun -n clamd
/sbin/service clamd condrestart &>/dev/null || :

%post milter
/sbin/chkconfig --add clamav-milter

%preun milter
if [ $1 -eq 0 ]; then
	/sbin/service clamav-milter stop &>/dev/null || :
	/sbin/chkconfig --del clamav-milter
fi

%postun milter
/sbin/service clamav-milter condrestart &>/dev/null || :

%pre db
/usr/sbin/groupadd -r clamav 2>/dev/null || :
/usr/sbin/useradd -r -d /var/clamav -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || :
mkdir -p /var/clamav || :
chown clamav.clamav /var/clamav || :
chmod 755 /var/clamav || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog COPYING FAQ INSTALL NEWS README test/
%doc docs/*.pdf etc/freshclam.conf*
%doc %{_mandir}/man1/sigtool.1*
%doc %{_mandir}/man1/clamscan.1*
%doc %{_mandir}/man1/clambc.1.*
%doc %{_mandir}/man1/freshclam.1*
%doc %{_mandir}/man5/freshclam.conf.5*
%config %{_sysconfdir}/freshclam.conf.sample
%config(noreplace) %{_sysconfdir}/freshclam.conf
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_bindir}/clambc
%{_libdir}/libclamav.so.*
%{_libdir}/libclamunrar*
%{_libdir}/libclamav.la

%files -n clamd
%defattr(-, root, root, 0755)
%doc %{_mandir}/man1/clamdscan.1*
%doc %{_mandir}/man1/clamconf.1*
%doc %{_mandir}/man1/clamdtop.1*
%doc %{_mandir}/man5/clamd.conf.5*
%doc %{_mandir}/man8/clamd.8*
%config %{_sysconfdir}/clamd.conf.sample
%config(noreplace) %{_sysconfdir}/clamd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/clamav
%config %{_initrddir}/clamd
%{_sbindir}/clamd
%{_bindir}/clamconf
%{_bindir}/clamdscan
%{_bindir}/clamdtop

%defattr(0644, clamav, clamav, 0755)
%{_localstatedir}/run/clamav/
%dir %{_localstatedir}/log/clamav/
%ghost %{_localstatedir}/log/clamav/clamd.log

%if %{!?_without_milter:1}0
%files milter
%defattr(-, root, root, 0755)
%doc %{_mandir}/man8/clamav-milter.8*
%doc %{_mandir}/man5/clamav-milter.conf.5*
%config %{_sysconfdir}/clamav-milter.conf.sample
%config(noreplace) %{_sysconfdir}/clamav-milter.conf
%config %{_initrddir}/clamav-milter
%{_sbindir}/clamav-milter
%endif

%files db
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/cron.daily/freshclam
%config(noreplace) %{_sysconfdir}/logrotate.d/freshclam

%defattr(0644, clamav, clamav, 0755)
%dir %{_localstatedir}/log/clamav/
%ghost %{_localstatedir}/log/clamav/freshclam.log

%files devel
%defattr(-, root, root, 0755)
%{_bindir}/clamav-config
%{_includedir}/clamav.h
%{_libdir}/libclamav.so
%{_libdir}/pkgconfig/libclamav.pc

%changelog
* Fri Jan 26 2018 René Vermare <rene@vermare.nl> - 0.99.3-1
- Build of version 0.99.3-1

* Wed Dec 20 2017 René Vermare <rene@vermare.nl> - 0.99.3-beta2-2
- Build of (beta) version 0.99.3-beta2-2 with curl support

* Tue Dec 19 2017 René Vermare <rene@vermare.nl> - 0.99.3-beta2-1
- Build of (beta) version 0.99.3-beta2-1

* Fri Sep  1 2017 René Vermare <rene@vermare.nl> - 0.99.3-beta1-2
- Build of (beta) version 0.99.3-beta1-2
- Build against Openssl 1.0.1

* Sat Aug  5 2017 René Vermare <rene@vermare.nl> - 0.99.3-beta1-1
- Build of (beta) version 0.99.3-beta1-1
- Removed /usr/include/mspack.h & /usr/lib/libmspack.so.0*
  from package.

* Fri Aug  4 2017 René Vermare <rene@vermare.nl> - 0.99.3-beta1-0
- Build of (beta) version 0.99.3-beta1-0

* Wed May  4 2016 René Vermare <rene@vermare.nl> - 0.99.2-0
- Build of version 0.99.2-0

* Fri Mar  4 2016 René Vermare <rene@vermare.nl> - 0.99.1-0
- Build of version 0.99.1-0

* Sun Feb  7 2016 René Vermare <rene@vermare.nl> - 0.99.1-beta1-0
- Build of (beta) version 0.99.1-beta1-0

* Tue Dec  1 2015 René Vermare <rene@vermare.nl> - 0.99-0
- Build of version 0.99-0
 
* Wed Nov 18 2015 René Vermare <rene@vermare.nl> - 0.99-rc2-0
- Build of (release candidate 2) version 0.99-rc2-0
 
* Mon Oct 19 2015 René Vermare <rene@vermare.nl> - 0.99-rc1-0
- Build of (release candidate 1) version 0.99-rc1-0

* Thu Sep 10 2015 René Vermare <rene@vermare.nl> - 0.99-beta2-0
- Build of (beta) version 0.99-beta2-0

* Thu Jun 18 2015 René Vermare <rene@vermare.nl> - 0.99-beta1-1
- Build of (beta) version 0.99-beta1-1
- Add dependencies for pcre and pcre-devel (buildrequire)

* Thu Jun 18 2015 René Vermare <rene@vermare.nl> - 0.99-beta1-0
- Build of (beta) version 0.99-beta1-0

* Wed Apr 29 2015 René Vermare <rene@vermare.nl> - 0.98.7-0
- Build version 0.98.7
- Various fixes to pdf string base64 string conversion (bb#11296)
- Look for TOC element name <unarchived-checksum> (bb#11298)
- Remove unnecessaty parameter on iso_parse_dir() and reset return
- code (iso9660)
- Misc fixes; bb#11281, bb#11282, bb#11284, bb#11278, bb#11274,
- bb#11269, bb#11267, bb#11212, bb#11264, bb#11260, bb#11254 etc.

* Thu Jan 29 2015 René Vermare <rene@vermare.nl> - 0.98.6-0
- Build version 0.98.6 (with json-c enabled)
- Misc fixes; bb#11210, bb#11213, bb#11212, bb#11216 & bb#11215.

* Mon Nov 24 2014 René Vermare <rene@vermare.nl> - 0.98.5-1
- Build version 0.98.5 with json-c enabled

* Wed Nov 19 2014 René Vermare <rene@vermare.nl> - 0.98.5-0
- Build of version 0.98.5-0
- Misc fixes; bb11176, bb11155, bb11088, bb#10731, bb#10731,
- bb#10981 and add support for XDP PDF file format
- clambc: added diagnostic tools for bytecode IR

* Wed Jul 9 2014 René Vermare <rene@vermare.nl> - 0.98.5-beta1
- Build of (beta) version 0.98.5-beta1

* Wed Jun 18 2014 René Vermare <rene@vermare.nl> - 0.98.4-0
- Build of version 0.98.4-0
- Bugfix release

* Fri May 9 2014 René Vermare <rene@vermare.nl> - 0.98.3-0
- Build of version 0.98.3
- Add clamsubmit.1.* to manpages of clam package.

* Fri Jan 17 2014 René Vermare <rene@vermare.nl> - 0.98.1-0
- Build of version 0.98.1
- Fix bb #9017, bb #9053, bb #1570, bb #9072, bb #8696, bb #9154
- Add support for .xz files etc.

* Sat Sep 21 2013 René Vermare <rene@vermare.nl> - 0.98-1
- Build of version 0.98
- Copy .conf.sample files.

* Sat Sep 21 2013 René Vermare <rene@vermare.nl> - 0.98-0
- Build of version 0.98
- Quality fixes on libclamav, clamd, sigtool, clamav-milter
- clamconf, clamdtop, libclamunrar and freshclam etc.
- Renamed clamav-milter.conf to clamav-milter.conf.sample,
- freshclam.conf to freshclam.conf.sample,
- clamd.conf to clamd.conf.sample.

* Wed Apr 24 2013 René Vermare <rene@vermare.nl> - 0.97.8
- Build of version 0.97.8
- libclamav bug fix 

* Sat Mar 16 2013 René Vermare <rene@vermare.nl> - 0.97.7
- Build of version 0.97.7
- Misc bug fixes

* Tue Sep 18 2012 René Vermare <rene@vermare.nl> - 0.97.6
- Build of version 0.97.6
- Misc bug fixes (bb#5751, bb#5252, bb#5325)

* Fri Jun 15 2012 René Vermare <rene@vermare.nl> - 0.97.5
- Build of version 0.97.5
- Misc fixes (bb#4699, bb#4669, bb#4626, bb#4627 & bb#4625)
- Remove /var/clamav dir. from packages clamd & clamav-db
- because .cvd files from source are empty.

* Thu Apr 12 2012 René Vermare <rene@vermare.nl> - 0.97.4
- Build of version 0.97.4
- Misc fixes (bb#3922, bb#3930, bb#4324, bb#3062 & bb#3789)

* Tue Oct 18 2011 René Vermare <rene@vermare.nl> - 0.97.3
- Build of version 0.97.3
- Misc fixes (bb#3056 & bb#3514)

* Tue Jul 26 2011 René Vermare <rene@vermare.nl> - 0.97.2
- Build of version 0.97.2
- Misc fixes (bb#2913 - bb#3040 - bb#2988 - bb#2818 etc.)

* Thu Jun 9 2011 René Vermare <rene@vermare.nl> - 0.97.1
- Build of version 0.97.1 for el4
- Misc fixes (bb#2818 - bb#2809 - bb#2448 etc.)
- Add clambc.1.* to files section.

* Sat Mar 19 2011 René Vermare <rene@vermare.nl> - 0.97
- Build of version 0.97 for el4

* Mon Feb 7 2011 René Vermare <rene@vermare.nl> - 0.97
- Build of version 0.97
- Misc fixes (bb#2090 - bb#8723)

* Tue Feb 1 2011 René Vermare <rene@vermare.nl> - 0.97rc
- Build of 1st rc 0.97

* Tue Nov 29 2010 René Vermare <rene@vermare.nl> - 0.96.5
- Build of version 0.96.5
- Misc bug fixes and enhancements.

* Mon Oct 25 2010 René Vermare <rene@vermare.nl> - 0.96.4
- Build of version 0.96.4
- Misc bug fixes and security fixes.

* Mon Sep 20 2010 René Vermare <rene@vermare.nl> - 0.96.3
- Build of version 0.96.3
- Misc bug fixes and security fixes e.g. CVE-2010-0405

* Fri Aug 13 2010 René Vermare <rene@vermare.nl> - 0.96.2
- Build of version 0.96.2
- Misc bug fixes

* Mon May 31 2010 René Vermare <rene@vermare.nl> - 0.96.1
- Build of 0.96.1
- Misc bug and enhancement fixes
- Add clamav-milter.conf.5.gz

* Thu Apr 1 2010 René Vermare <rene@vermare.nl> - 0.96
- Build of 0.96
- Moved clambc from devel to clamav package (since rc1)

* Thu Mar 25 2010 René Vermare <rene@vermare.nl> - 0.96rc2
- Build of 0.96rc2

* Wed Mar 10 2010 René Vermare <rene@vermare.nl> - 0.96rc1
- Build of 0.96rc1

* Thu Oct 29 2009 René Vermare <rene@vermare.nl> - 0.95.3
- Build of 0.95.3

* Fri Jun 12 2009 René Vermare <rene@vermare.nl> - 0.95.2
- Build of 0.95.2

* Thu Apr 9 2009 René Vermare <rene@vermare.nl> - 0.95.1
- Build of 0.95.1

* Mon Mar 23 2009 René Vermare <rene@vermare.nl> - 0.95
- Initial build of 0.95
- Removed /etc/sysconfig/clamav-milter (0.95-2)

* Mon Mar 16 2009 René Vermare <rene@vermare.nl> - 0.95rc2
- Initial build of 0.95rc2

* Mon Mar 2 2009 René Vermare <rene@vermare.nl> - 0.95rc1
- Initial build of 0.95rc1
- Remove clamdwatch & clamav-milter/INSTALL
- Added clamav-milter.conf, clamdtop, clamdtop.1*

* Wed Nov 26 2008 René Vermare <rene@vermare.nl> - 0.94.2
- Official build of 0.94.2

* Mon Nov 3 2008 René Vermare <rene@vermare.nl> - 0.94.1
- Official build of 0.94.1

* Tue Sep 2 2008 René Vermare <rene@vermare.nl> - 0.94
- Official build of 0.94

* Fri Aug 18 2008 René Vermare <rene@vermare.nl> - 0.94rc1
- Initial build of 0.94rc1

* Tue Jul 8 2008 René Vermare <rene@vermare.nl> - 0.93.3
- Official build of 0.93.3

* Mon Jun 9 2008 René Vermare <rene@vermare.nl> - 0.93.1
- Official build of 0.93.1

* Mon Apr 14 2008 René Vermare <rene@vermare.nl> - 0.93
- Official build of 0.93

* Tue Mar 4 2008 René Vermare <rene@vermare.nl> - 0.93rc1
- Initial build of 0.93RC1

* Tue Feb 12 2008 René Vermare <rene@vermare.nl> - 0.92.1
- Official build of 0.92.1

* Mon Dec 17 2007 René Vermare <rene@vermare.nl> - 0.92
- Official build of 0.92
- Add '/usr/lib/libclamunrar*' to clamav package

* Tue Aug 21 2007 René Vermare <rene@vermare.nl> - 0.91.2
- Official build of 0.91.2

* Tue Jul 17 2007 René Vermare <rene@vermare.nl> - 0.91.1
- Official build of 0.91.1

* Wed Jul 11 2007 René Vermare <rene@vermare.nl> - 0.91
- Official build of 0.91

* Thu May 31 2007 René Vermare <rene@vermare.nl> - 0.90.3
- Official build of 0.90.3

* Fri Apr 13 2007 René Vermare <rene@vermare.nl> - 0.90.2
- Official build of 0.90.2

* Fri Mar 2 2007 René Vermare <rene@vermare.nl> - 0.90.1
- Official build of 0.90.1
                                                                                
* Wed Feb 14 2007 René Vermare <rene@vermare.nl> - 0.90
- Official build of 0.90
                                                                                
* Sun Feb 11 2007 René Vermare <rene@vermare.nl> - 0.90RC3
- Initial build of 0.90rc3
                                                                                
* Thu Nov 2 2006 René Vermare <rene@vermare.nl> - 0.90RC2
- Initial build of 0.90rc2
                                                                                
* Mon Oct 16 2006 René Vermare <rene@vermare.nl> - 0.90RC1.1
- Initial build of 0.90RC1.1
                                                                                
* Mon Oct 16 2006 René Vermare <rene@vermare.nl> - 0.88.5
- Update to release 0.88.5
                                                                                
* Tue Aug 8 2006 René Vermare <rene@vermare.nl> - 0.88.4
- Update to release 0.88.4

* Sun Jul 2 2006 René Vermare <rene@vermare.nl> - 0.88.3
- Update to release 0.88.3
                                                                                
* Sun Apr 30 2006 René Vermare <rene@vermare.nl> - 0.88.2
- Update to release 0.88.2
                                                                                
* Wed Apr 05 2006 René Vermare <rene@vermare.nl> - 0.88.1
- Updated to release 0.88.1
                                                                                
* Mon Jan 09 2006 René Vermare <rene@vermare.nl> - 0.88
- Updated to release 0.88
                                                                                
* Sun May 19 2005 René Vermare <rene@vermare.nl> - 0.85-1.1
- Updated to release 0.85.1
                                                                                
* Sun May 15 2005 René Vermare <rene@vermare.nl> - 0.85-1
- Updated to release 0.85.
                                                                                
* Sat Apr 30 2005 René Vermare <rene@vermare.nl> - 0.84-1
- Updated to release 0.84.

* Mon Feb 14 2005 Dag Wieers <dag@wieers.com> - 0.83-1
- Updated to release 0.83.

* Thu Feb 10 2005 Dag Wieers <dag@wieers.com> - 0.82-2
- Fix for false positive on RIFF files. (Roger Jochem)

* Mon Feb 07 2005 Dag Wieers <dag@wieers.com> - 0.82-1
- Updated to release 0.82.

* Thu Jan 27 2005 Dag Wieers <dag@wieers.com> - 0.81-1
- Improved logrotate scripts. (Filippo Grassilli)
- Updated to release 0.81.

* Wed Dec 01 2004 Dag Wieers <dag@wieers.com> - 0.80-2
- Added %dir /var/clamav/log. (Adam Bowns)
- Changed logrotate script to use clamd.log. (Stuart Schneider)
- Added curl dependency. (Petr Kristof)
- Synchronized some options from Petr. (Petr Kristof)
- Fixed another clamav.conf reference. (Michael Best)

* Mon Nov 01 2004 Dag Wieers <dag@wieers.com> - 0.80-1
- Updated package description. (Arvin Troels)
- Incorporated fixes from Jima. (Jima)
- Config clamav.conf renamed to clamd.conf.
- Removed obsolete patch.
- Added macros for building without milter.
- Updated to release 0.80.

* Fri Jul 30 2004 Dag Wieers <dag@wieers.com> - 0.75.1-1
- Added obsoletes for fedora.us.
- Updated to release 0.75.1.

* Mon Jul 26 2004 Dag Wieers <dag@wieers.com> - 0.75-2
- Fixed a problem where $CODE was empty.

* Fri Jul 23 2004 Dag Wieers <dag@wieers.com> - 0.75-1
- Updated to release 0.75.

* Wed Jun 30 2004 Dag Wieers <dag@wieers.com> - 0.74-1
- Updated to release 0.74.

* Tue Jun 15 2004 Dag Wieers <dag@wieers.com> - 0.73-1
- Updated to release 0.73.

* Thu Jun 03 2004 Dag Wieers <dag@wieers.com> - 0.72-1
- Updated to release 0.72.

* Thu May 20 2004 Dag Wieers <dag@wieers.com> - 0.71-1
- Updated to release 0.71.

* Sun May 02 2004 Dag Wieers <dag@wieers.com> - 0.70-2
- Fixed the installation check for conf files. (Richard Soderberg, Udo Ruecker)
- Changed the init-order of the sysv scripts. (Will McCutcheon)
- Changes to the default configuration files.

* Sat Mar 17 2004 Dag Wieers <dag@wieers.com> - 0.70-1
- Updated to release 0.70.

* Tue Mar 16 2004 Dag Wieers <dag@wieers.com> - 0.68-1
- Updated to release 0.68.

* Fri Mar 12 2004 Dag Wieers <dag@wieers.com> - 0.67.1-1
- Updated to release 0.67-1.
- Added clamdwatch and trashcan to clamd.

* Mon Mar 08 2004 Dag Wieers <dag@wieers.com> - 0.67-1
- Personalized SPEC file.

* Mon Aug 22 2003 Matthias Saou/Che
- Added "--without milter" build option. (Matthias Saou)
- Fixed freshclam cron (Matthias Saou)
- Built the new package. (Che)

* Tue Jun 24 2003 Che
- clamav-milter introduced.
- a few more smaller fixes.

* Sun Jun 22 2003 Che
- version upgrade

* Mon Jun 16 2003 Che
- rh9 build
- various fixes
- got rid of rpm-helper prereq

* Fri Mar 24 2003 Che
- some cleanups and fixes
- new patch added

* Fri Nov 22 2002 Che
- fixed a config patch issue

* Fri Nov 22 2002 Che
- version upgrade and some fixes

* Sat Nov 02 2002 Che
- version upgrade

* Wed Oct 24 2002 Che
- some important changes for lsb compliance

* Wed Oct 23 2002 Che
- initial rpm release
